dpkg-genchanges(1)

NAMN
dpkg-genchanges - skapa .changes-filer för Debian

SYNOPS
dpkg-genchanges [flagga...]

BESKRIVNING
dpkg-genchanges läser information från ett uppackat och byggt Debiankällkodsträd och från de filer det har genererat, och genererar en styrfil för insändning till Debian (.changes-fil).

FLAGGOR

-g  Specifies that only source and architecture independent packages should be uploaded, thus no architecture specific packages will be included (since dpkg 1.17.11).

-G  Specifies that only source and architecture specific packages should be uploaded, thus no architecture independent packages will be included (since dpkg 1.17.11).

-b, -B, -A
    Specifies that a binary-only build is taking place, thus no source files are to be included. There's no distinction between -b, -B and -A, the produced .changes file will include whatever files were created by the binary-* target(s) of the package being built.

-S  Specifies that only the source should be uploaded, thus no binary packages will be included.

Flaggorna -sx styr huruvida det ursprungliga källkodsarkivet skall inkluderas i insändningen om källkod genereras (dvs. -b eller -B inte har använts).

-si Som standard, eller om den anges, kommer originalkällkoden endast att inkluderas om uppströmsversionsnumret (versionsnumret utan epok och utan Debianuppdateringsnummer) skiljer sig från uppströmsversionsnumret i föregående ändringsloggspost.

-sa Bifogar alltid originalkällkoden.

-sd Bifogar inte originalkällkoden, utan enbart differensfilen.

-vversion
    Använder information från ändringsloggen för alla versioner som är strikt senare än version.

-Cändringsbeskrivning
    Läs beskrivningen av ändringarna från filen ändringsbeskrivning istället för att använda information från källkodsträdets changelog-fil.

-mpaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för detta paket, istället för att använda informationen från källkodsträdets control-fil.

-epaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för denna insändning, istället för att använda informationen från källkodsträdets changelog-fil.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Read substitution variables in substvars-file; the default is debian/substvars. No variable substitution is done on any of the fields that are output, however the special variable Format will override the field of the same name. This option can be used multiple times to read substitution variables from multiple files (since dpkg 1.15.6).

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-ccontrol-fil
    Anger huvudkällkodskontrollfilen som information skall läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information skall läsas från. Standardvärdet är debian/changelog.

-ffillistfil
    Läser listan över filer som skall sändas in härifrån, istället för att använda debian/files.

-Fändringsloggformat
    Anger format på ändringsloggen. Se dpkg-parsechangelog(1) för information om alternativa format.

-uinsändningskatalog
    Se efter filer som skall sändas in i insändningskatalog istället för .. (dpkg-genchanges måste kunna se dessa filer så att det kan lägga in deras storlekar och kontrollsummor i .changes-filen).

-q  dpkg-genchanges kommer normalt att generera informativa meddelanden på standard fel, till exempel om hur många pakets källkodsfiler sänds in. -q undertrycker dessa meddelanden.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FILER

debian/files
    Listan över genererade filer som är en del av den insändning som förbereds. dpkg-genchanges läser data här när .changes-filen skapas.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.